summaryrefslogtreecommitdiffstats
path: root/tests/00raid1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/00raid1')
-rw-r--r--tests/00raid135
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/00raid1 b/tests/00raid1
new file mode 100644
index 0000000..4ffdbae
--- /dev/null
+++ b/tests/00raid1
@@ -0,0 +1,35 @@
+
+# create a simple mirror
+# test version0, version1, and no super
+# test resync and recovery.
+set -e
+
+$mdadm -CR $md0 -l 1 -n2 $dev0 $dev1
+$check resync
+$check raid1
+sh tests/testdev $md0 1 $mdsize0 1
+$mdadm -S $md0
+
+# now with verion-1 superblock, spare
+$mdadm -CR $md0 -e1 --level=raid1 -n3 -x2 $dev0 missing missing $dev1 $dev2
+$check recovery
+$check raid1
+sh tests/testdev $md0 1 $mdsize1 1
+$mdadm -S $md0
+
+# now with no superblock
+$mdadm -B $md0 -l mirror -n2 $dev0 $dev1
+$check resync
+$check raid1
+sh tests/testdev $md0 1 $size 1
+$mdadm -S $md0
+
+# again, but with no resync
+$mdadm -B $md0 -l 1 --assume-clean -n2 $dev0 $dev1
+$check raid1
+$check nosync
+sh tests/testdev $md0 1 $size 1
+$mdadm -S $md0
+
+
+exit 0